Page MenuHomePhabricator

install jessie on new VM for mailman
Closed, ResolvedPublic

Description

after the VM request ticket has been acted on,

add to DNS, DHCP, install-server, etc

install jessie , add to puppet/salt, initial puppet run ...

Details

Related Gerrit Patches:
operations/puppet : productionfermium: enable in site.pp, include admin
operations/puppet : productionfermium: comment from site.pp, just defaults for now
operations/puppet : productionfermium: add to site.pp, add firewalling
operations/puppet : productionfermium: add to DHCP and netboot

Related Objects

Event Timeline

Dzahn created this task.Aug 5 2015, 6:07 PM
Dzahn raised the priority of this task from to High.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: MZMcBride, Dzahn, faidon and 4 others.
Dzahn claimed this task.Aug 6 2015, 10:10 PM

@RobH created the VM

MAC is aa:00:00:a4:ac:f1

Change 229983 had a related patch set uploaded (by Dzahn):
fermium: add to DHCP and netboot

https://gerrit.wikimedia.org/r/229983

Change 229983 merged by Dzahn:
fermium: add to DHCP and netboot

https://gerrit.wikimedia.org/r/229983

Change 229985 had a related patch set uploaded (by Dzahn):
fermium: add to site.pp, add firewalling

https://gerrit.wikimedia.org/r/229985

Change 229985 merged by Dzahn:
fermium: add to site.pp, add firewalling

https://gerrit.wikimedia.org/r/229985

Dzahn added a comment.Aug 6 2015, 11:00 PM

installer finished normal, i did change boot order to disk, i tried to connect to console:

[ganeti1003:~] $ sudo gnt-instance console fermium.eqiad.wmnet
2015/08/06 22:58:05 socat[9300] E connect(5, AF=1 "/var/run/ganeti/kvm-hypervisor/ctrl/fermium.eqiad.wmnet.serial", 64): Connection refused
                                  Connection to ganeti1004.eqiad.wmnet closed.
Failure: command execution error:
Connection to console of instance fermium.eqiad.wmnet failed, please check cluster configuration

Change 230003 had a related patch set uploaded (by Dzahn):
fermium: comment from site.pp, just defaults for now

https://gerrit.wikimedia.org/r/230003

Change 230003 merged by Dzahn:
fermium: comment from site.pp, just defaults for now

https://gerrit.wikimedia.org/r/230003

Dzahn added a comment.Aug 6 2015, 11:06 PM

do not apply base::firewall before initial run.

also got console now, just needed more patience:

Debian GNU/Linux 8 fermium ttyS0

fermium login:

Change 230007 had a related patch set uploaded (by Dzahn):
fermium: enable in site.pp, include admin

https://gerrit.wikimedia.org/r/230007

Change 230007 merged by Dzahn:
fermium: enable in site.pp, include admin

https://gerrit.wikimedia.org/r/230007

Dzahn added a comment.Aug 6 2015, 11:18 PM

signed puppet cert on master, added salt key on master, initial puppet run, added standard and admin classes, done

Dzahn closed this task as Resolved.Aug 6 2015, 11:19 PM